// ---------------------------------------------------------------------------
// EX006_NumberGuesser.cpp
//
// Written By:     YourNameGoesHere
// Last Modified:  DueDateGoesHere
//
// Description:
// Write something appropriate here that describes what the program does
// ---------------------------------------------------------------------------

#include <iostream>  // include iostream to be able to use std::cin and std::cout
#include <cstdlib>   // include cstdlib for use of srand() and rand() functions
#include <ctime>     // include ctime for use of time() function
using namespace std; // make use of the appropriate namespace for cin and cout

int main() 
{
   srand(static_cast<unsigned int>(time(0))); // seed the random number generator

   int secretNumber = rand() % 100 + 1; // random number from 1 to 100
   int tries = 0;
   int guess;

   cout << "Welcome to Number Guess!!!\n\n";
   cout << "I have selected a number from 1 to 100.\n";
   cout << "Try to guess it.\n\n";

   do
   {
      cout << "What number do you guess (0 to quit): ";
      cin >> guess;
      ++tries;

      if (guess <= 0)
      {
         cout << "You want to quit... awwwww but why?\n";
         cout << "See you later.\n";

         // Adjust secretNumber and guess to both equal zero so the do-loop will end
         secretNumber = 0;
         guess = 0;
      }
      else if (guess > secretNumber)
      {
         cout << "Too High. Try again\n";
      }
      else if (guess < secretNumber)
      {
         cout << "Too Low. Try again\n";
      }
      else
      {
         cout << "\nAmazing! How did you know?\n";
         cout << "You got it in " << tries << " guesses.\n";
      }
   } while (guess != secretNumber);

   return 0;   // return 0 to indicate success to the operating system
}
